'''
Created on 30-Jun-2020

@author: Nutan
'''

from abc import ABC, abstractmethod

class SimpleChart(ABC):
    def __init__(self, **kwargs):
        super().__init__(**kwargs)
        if self.verbose:
            print("\n{}".format(self))

        pass
    #def __init__(self, verbose = False):

    @abstractmethod
    def draw(self):
        pass
    #def draw(self):


    def __str__(self):
        s = type(self).__name__ + ":"
        s = s + "\n" + "  " + "{}:\t{}".format("verbose", self.verbose)
        s = s + "\n"

        return s
        pass
    #def __str__(self):

    pass
#class SimpleChart():


class _LineChart(SimpleChart):

    def draw(self):
        print("Drawing line chart")
        pass
    #def draw(self):

    pass
#class _LineChart():




if __name__ == "__main__":
    #test_convertFromJsonList()
    pass
